class CreatePosts < ActiveRecord::Migration[7.1]
  def change
    create_table :posts do |t|
      t.references :thread, null: false, foreign_key: true
      t.integer :post_no, null: false
      t.text :message
      t.boolean :held, null: false, default: false
      t.boolean :sensitive, null: false, default: false
      t.integer :good, null: false, default: 0
      t.integer :bad, null: false, default: 0
      t.string :password_digest
      t.datetime :deleted_at

      t.timestamps
    end
  end
end
